AWS
action ElastiCache

# delete_cache_clusters

Deletes one or more cache clusters and creates a final snapshot

Run it now
View details

Type | action
Module | chaosaws.elasticache.actions
Name | delete_cache_clusters
Return | list

Usage

JSON

    {
      "name": "delete-cache-clusters",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.elasticache.actions",
        "func": "delete_cache_clusters",
        "arguments": {
          "cluster_ids": []
        }
      }
    }

YAML

    name: delete-cache-clusters
    provider:
      arguments:
        cluster_ids: []
      func: delete_cache_clusters
      module: chaosaws.elasticache.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
cluster_ids | list |  | Yes | Cluster IDs | List of cluster identifiers
final_snapshot_id | string | null | No | Final Snapshot ID | Identifier for the final snapshot

- cluster_ids (list): a list of one or more cache cluster ids
- final_snapshot_id (str): an identifier to give the final snapshot

Signature

    def delete_cache_clusters(
            cluster_ids: List[str],
            final_snapshot_id: str = None,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> List[Dict[str, Any]]:
        pass

## Related starters

- AWS
  probe ElastiCache

  ## `get_cache_node_status`

  Returns the status of the given cache cluster
- AWS
  probe ElastiCache

  ## `get_cache_node_status`

  Returns the status of the given cache cluster
- AWS
  action ElastiCache

  ## `reboot_cache_clusters`

  Reboots one or more nodes in a cache cluster